## org.hibernate.metamodel.relational
Interface Constraint

All Superinterfaces:
  Exportable

All Known Implementing Classes:
  AbstractConstraint, ForeignKey, Index, PrimaryKey, UniqueKey

    public interface Constraint

extends Exportable

Basic contract for the types of constraints we fully support as metadata constructs:

- primary key
- foreign key
- unique constraint

Method Summary
`Iterable<Column>` `getColumns()` Obtain the columns that are part of this constraint.
`String` `getName()` Obtain the constraint name.
`TableSpecification` `getTable()` Obtain the table to which this constraint applies.

Methods inherited from interface org.hibernate.metamodel.relational.Exportable
`getExportIdentifier, sqlCreateStrings, sqlDropStrings`

Method Detail

### getTable

    TableSpecification getTable()

  Obtain the table to which this constraint applies.

  Returns:
    The constrained table.

### getName

    String getName()

  Obtain the constraint name.

  Returns:
    the name.

### getColumns

    Iterable<Column> getColumns()

  Obtain the columns that are part of this constraint.

  Returns:
    The constrained columns.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.